summaryrefslogtreecommitdiffstats
path: root/toolchain/binutils/patches/2.18/300-001_ld_makefile_patch.patch
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2008-02-02 18:06:32 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2008-02-02 18:06:32 +0000
commit51e6b047f01db97eeea044840857392e39eebb46 (patch)
tree48e884cf03f96e2872bfb8aa22c44e5e5f0d4428 /toolchain/binutils/patches/2.18/300-001_ld_makefile_patch.patch
parent65994c781a550990b42ddfff2cde7a1325d7ae0d (diff)
Add binutils-2.18 patches for all arches but AVR32.
Re-diff the existing patches for binutils-2.17 for all architectures but AVR32, and make the possible selection of binutils-2.18 dependent on selecting any arch but that one for the time being. Signed-off-by: Robert P. J. Day <rpjday@crashcourse.ca> git-svn-id: svn://svn.openwrt.org/openwrt/trunk@10360 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'toolchain/binutils/patches/2.18/300-001_ld_makefile_patch.patch')
-rw-r--r--toolchain/binutils/patches/2.18/300-001_ld_makefile_patch.patch54
1 files changed, 54 insertions, 0 deletions
diff --git a/toolchain/binutils/patches/2.18/300-001_ld_makefile_patch.patch b/toolchain/binutils/patches/2.18/300-001_ld_makefile_patch.patch
new file mode 100644
index 000000000..4624f29a2
--- /dev/null
+++ b/toolchain/binutils/patches/2.18/300-001_ld_makefile_patch.patch
@@ -0,0 +1,54 @@
+#!/bin/sh -e
+## 001_ld_makefile_patch.dpatch
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Description: correct where ld scripts are installed
+## DP: Author: Chris Chimelis <chris@debian.org>
+## DP: Upstream status: N/A
+## DP: Date: ??
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+Index: binutils-2.18/ld/Makefile.am
+===================================================================
+--- binutils-2.18.orig/ld/Makefile.am 2007-06-28 09:19:34.837940280 +0200
++++ binutils-2.18/ld/Makefile.am 2007-06-28 09:19:35.795794664 +0200
+@@ -18,7 +18,7 @@
+ # We put the scripts in the directory $(scriptdir)/ldscripts.
+ # We can't put the scripts in $(datadir) because the SEARCH_DIR
+ # directives need to be different for native and cross linkers.
+-scriptdir = $(tooldir)/lib
++scriptdir = $(libdir)
+
+ EMUL = @EMUL@
+ EMULATION_OFILES = @EMULATION_OFILES@
+Index: binutils-2.18/ld/Makefile.in
+===================================================================
+--- binutils-2.18.orig/ld/Makefile.in 2007-06-28 09:19:34.844939216 +0200
++++ binutils-2.18/ld/Makefile.in 2007-06-28 09:19:35.796794512 +0200
+@@ -287,7 +287,7 @@
+ # We put the scripts in the directory $(scriptdir)/ldscripts.
+ # We can't put the scripts in $(datadir) because the SEARCH_DIR
+ # directives need to be different for native and cross linkers.
+-scriptdir = $(tooldir)/lib
++scriptdir = $(libdir)
+ BASEDIR = $(srcdir)/..
+ BFDDIR = $(BASEDIR)/bfd
+ INCDIR = $(BASEDIR)/include